import psycopg2

class Conn:
    def __init__(self, host='127.0.0.1', port=5432, user=None,
                 passwd=None, dbname='testpilot'):
        self._conn = None
        self._dbname = dbname
        self._host = "host=%s" % host
        self._port = "port=%s" % port
        self._user = ''
        self._passwd = ''

        if user:
            self._user = "user=%s" % user
        if passwd:
            self._passwd = "password='%s'" % passwd
            
        self._dbstring = "dbname=%s %s %s %s %s" % \
            (self._dbname, self._host, self._port,
             self._user, self._passwd)

    def connect(self):
        try:
            print 'DB connection: %s' % self._dbstring
            self._conn = None
            self._conn = psycopg2.connect(self._dbstring)
        except psycopg2.Error, err:
            print 'DB connection error: %s' % err
            return False
        return True

    def cursor(self):
        """Get a new cursor for DB I/O."""
        return self._conn.cursor()

    def commit(self):
        """Commit pending changes to DB."""
        self._conn.commit()
