#! /bin/sh

echo 'Grabbing source data...'
wget https://testpilot.mozillalabs.com/testcases/a-week-life-2/witl_large.tar.gz
tar xfvz witl_large.tar.gz
mv witl_large/*.csv .
rm -rf witl_large*
gzip *.csv

echo 'Cleaning input files...'
zcat users.csv.gz | ./usrconvert.py > users-clean.csv
zcat events.csv.gz | ./evconvert.py > events-clean.csv
zcat survey.csv.gz | ./surveyconvert.py > survey-clean.csv
