#! /usr/bin/env python

import csv
import sys
import time

csvr = csv.reader(sys.stdin)

for row in csvr:
    if csvr.line_num == 1:
        continue

    # Iterate over all but user id and comment field:
    for i in range(1,14):
        choices = row[i].split('|')
        for choice in choices:
            try:
                choice = int(choice)
                print '%s,%s,%s' % (row[0], i, choice)
            except (TypeError, ValueError):
                pass
